Export the gateway instance core usage
GET /api/instances/cores_usages/export
GET /api/instances/cores_usages/exportInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Query Parameters
begin_at*integer
The start time to export the gateway instance core usage.
Format
int32end_at*integer
The end time to export the gateway instance core usage.
Format
int32Response Body
text/csv
application/json
curl -X GET "$API_BASE_URL/api/instances/cores_usages/export?begin_at=0&end_at=0"Successfully exported the data plane core usage history as CSV.
"time,max_dp_cores,max_non_production_dp_cores\n1749132000,9,4\n1749128400,9,4\n1749124800,9,0\n1749121200,9,0\n1749117600,9,0\n1749114000,9,0\n1749110400,9,0\n1749106800,17,0\n1749103200,1,0\n1749099600,1,0\n1749096000,1,0\n1749092400,1,0\n1749088800,1,0\n"Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/instances/cores_usages/export
Export the gateway instance core usage
The gateway instance’s core usage is exported hourly within the specified time interval. IAM Action: gateway:GetGatewayInstanceCore, Resource: arn:api7:gateway:gatewaygroup/*
Parameters
begin_at(query, integer, required): The start time to export the gateway instance core usage.end_at(query, integer, required): The end time to export the gateway instance core usage.
Responses
200: Successfully exported the data plane core usage history as CSV.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/instances/cores_usages/export'